#!/bin/sh
# The next line restarts using nmrWish \
exec nmrWish "$0" -notk -- "$@"

set auto_path "[split $env(TCLPATH) :] $auto_path"

set auto_path    "[split $env(TCLPATH) :] $auto_path"
set ARGV         [concat $argv0 $argv]
set ARGC         [llength $ARGV]

proc dList { d } \
{
   set fList [lsort -dictionary [glob -nocomplain $d/*]]
   set n [llength $fList]
   set i 0

   foreach f $fList \
     {
      if {[file isdir $f]} \
         {
          dList $f
         } \
      else \
         {
          set f1 [file tail $f]

          if {[string first aux $f1] >= 0} {puts $f}

          for {set j [expr $i + 1]} {$j < $n} {incr j} \
            {
             set  ff [lindex $fList $j]
             set  f2 [file tail $ff]

             if {![strcasecmp $f1 $f2]} \
                {
                 puts $f
                 puts $ff
                } 

             incr j
            }
         }

      incr i
     }
}

dList .
