#!/bin/csh -f

# NMRPipe System Font initialize.

if ($?NMRFONTSET) then
   exit 0
endif

if (!($?BINVAL)) then
   setenv BINVAL unknown
endif

if ($?DISPLAY) then
   set fontInfo = (`xset -q | fgrep XView/fonts | wc`)

   if ($fontInfo[1] == 0) then
      if ($BINVAL =~ sgi*) then
         xset fp+ $NMRBASE/XView/fonts/bdf/75dpi/
         xset fp+ $NMRBASE/XView/fonts/bdf/misc/
      else
         xset fp+ $NMRBASE/XView/fonts/gz/75dpi/
         xset fp+ $NMRBASE/XView/fonts/gz/misc/
      endif

      xset fp  rehash
   endif
endif

setenv NMRFONTSET TRUE
