#!/bin/csh

if (`flagLoc $argv -help`) then
   echo "List Tau Values in a Spectral Series:"
   echo " -in inName [fid/test%03d.fid]"
endif

set inName = (`getArgD $argv -in fid/test%03d.fid`)

@ i = 1

while ($i < 999999)
   set thisName = (`nmrPrintf $inName $i`)

   if (!(-e $thisName)) then
      break
   endif

   if ($i == 1) then
      nmrPrintf "%s"  `getParm -in $thisName -parm FDTAU -dim NULL_DIM`
   else
      nmrPrintf " %s" `getParm -in $thisName -parm FDTAU -dim NULL_DIM`
   endif

   @ i++
end
