#!/bin/sh
# The next line restarts using nmrWish \
exec nmrWish "$0" -notk -- "$@"

set mainList ""

set specialList [glob -nocomplain ../special/com/*.tcl]
set addList ""

foreach i $specialList \
   {
    set thisName [file tail $i]

    if {![file exists $thisName]} \
       {
        file copy $i $thisName
        lappend addList $thisName
       }
   }

if {[file exists tclMain.list]} \
   {
    catch {set inUnit   [open tclMain.list r]}
    catch {set mainList [read $inUnit]}
    catch {close $inUnit}
   }

set inList [lsort [glob *.tcl]]

set cmnd   auto_mkindex

lappend cmnd . 

foreach thisName $inList \
   {
    set inName [file tail $thisName]

    if {[lsearch -exact $mainList $inName] < 0} \
       {
        puts $inName
        lappend cmnd $inName 
       } \
    else \
       {
        puts "                   $inName"
       }
   }

eval $cmnd

puts ""
puts "Added Files from ../special/com:"
puts " $addList"

foreach i $addList {file delete $i}

exit
