#!/bin/csh

if ($#argv != 1) then
   echo "Report plane location of maximum absolute intensity in a 3D."
   echo "Usage:"
   echo "  maxPlane.com inTemplate"
   echo "Examples:"
   echo "  maxPlane.com sili2/ir%03d.dat"
   echo "  maxPlane.com vkbak1/ir%03d.dat"
   exit 0
endif

set auxTemplate = (`echo $1 | sed -e 's/%03d/%03.0f/'`)

M $NMRTXT/maxPlane.M -str inName $auxTemplate -quit
