#!/bin/csh

if (`flagLoc $argv -help`) then
   basicFT3.com -progName nesta3D.com -nesta -nus $*
   exit 0
endif

set sampleName = (`getArgD $argv -sample Auto`)
 
if (`string csame $sampleName Auto`) then
   set fList = (nuslist.sort nuslist sampling.sch `find ./ -maxdepth 1 -name schedule\[0-9\]\* -print` `find ./ -maxdepth 1 -name \*.hdr_3 -print` vclist fake.nuslist)

   foreach f ($fList)
      if (-e $f) then
         set sampleName = $f
         break
      endif
   end
endif

if (`string csame $sampleName Auto`) then
   nmrPrintf -stderr "%s\n" "nesta3D.com Error Finding Auto Mode Sample Schedule."
   exit 1
endif

basicFT3.com -progName nesta3D.com -nus -nesta -sample $sampleName $*

