#!/bin/sh
# The next line restarts using nmrWish \
exec nmrWish "$0" -notk -- "$@"

set auto_path    "[split $env(TCLPATH) :] $auto_path"
set ARGV         [concat $argv0 $argv]
set ARGC         [llength $ARGV]

set prefix   "# "
set thisArg  [lindex $ARGV 3]
set firstLoc 3

if {![strcmp $thisArg -comment]} \
   {
    set firstLoc 4
    set prefix "# "
   }

if {![strcmp $thisArg -nocomment]} \
   {
    set firstLoc 4
    set prefix ""
   }

prettyPrintCmnd stdout $prefix [lrange $ARGV $firstLoc end]

exit 0
