#!/bin/sh

nmrPipe -in test.fid                              \
| nmrPipe -fn POLY -time                          \
| nmrPipe -fn SP -off 0.5 -end 0.95 -pow 2 -c 0.5 \
| nmrPipe -fn ZF -size 2048                       \
| nmrPipe -fn FT -verb                            \
| nmrPipe -fn PS -p0 -18.2 -p1 17.8  -di          \
| nmrPipe -fn TP                                  \
| nmrPipe -fn MAC -macro $NMRTXT/diagShift.M      \
| nmrPipe -fn POLY -time                          \
| nmrPipe -fn MAC -macro $NMRTXT/diagUnShift.M    \
| nmrPipe -fn SP -off 0.5 -end 0.95 -pow 2 -c 0.5 \
| nmrPipe -fn ZF -size 2048                       \
| nmrPipe -fn FT -verb                            \
| nmrPipe -fn PS -p0 -94.8 -p1 8.80 -di           \
| nmrPipe -fn TP                                  \
| nmrPipe -fn POLY -auto                          \
   -out shift.ft2 -verb -ov

