#!/bin/csh

source /u/config/`hostname`.config

stty erase "^H" kill "^U" intr "^C" eof "^D" susp "^Z" 

if ( -e .xlogin ) then
   setenv TERM xterm
else
   if ($BINTYPE == linux) then
      setenv TERM vt100
   else
      if(`tty` != /dev/console) then
          setenv TERM `tset - -Q -m 'network:?vt100' '?vt100'`; 
          if ($TERM == "xterm") then
              set noglob; eval `/usr/bin/X11/resize`; unset noglob; 
          endif
          set term=$TERM
      endif
   endif
endif

#
# Startup for remote X login:

if (-e .xlogin) then
   source .xlogin
   /bin/rm .xlogin
endif

if (-e /u/delaglio/bin/twmtitle) then
   twmtitle
endif
