#!/bin/csh

#
# Converts Y-Axis Rance-mode data to States-mode using macro language.

var2pipe -in varian.fid \
  -xN           2048    -yN         600  \
  -xT           1024    -yT         300  \
  -xMODE     Complex    -yMODE  Complex  \
  -xSW       8000.00    -ySW   1650.000  \
  -xOBS      499.843    -yOBS   50.6530  \
  -xCAR         4.73    -yCAR    118.00  \
  -xLAB           HN    -yLAB         N  \
  -ndim            2    -aq2D    States  \
| nmrPipe -fn MAC -macro $NMRTXT/ranceY.M -noRd -noWr -out test.fid -verb -ov
