
float bandData[size];

(void) vsSet( bandData, size, 0.0 );

if (rwPts < 2)
   {
    for( ix = x1Pts; ix < xnPts; ix++ )
       {
        bandData[ix] = 1.0
       }
   }
else
   {
    r1Pts = x1Pts - rwPts;
    rnPts = x1Pts;

    for( ix = r1Pts; ix < rnPts; ix++ )
       {
        f = PI*(ix - r1Pts)/(rwPts - 1);
        q = -0.5*(cos( f ) - 1.0);

        if (q < 1.0e-12) {q = 0.0;};
        if (q > 1.0)     {q = 1.0;};

        bandData[ix] = q*q;
       }

    r1Pts = xnPts;
    rnPts = xnPts + rwPts;

    for( ix = r1Pts; ix < rnPts; ix++ )
       {
        f = PI*(ix - r1Pts)/(rwPts - 1);
        q = 0.5*(1.0 + cos( f ));

        if (q < 1.0e-12) {q = 0.0;};
        if (q > 1.0)     {q = 1.0;};

        bandData[ix] = q*q;
       }

    for( ix = x1Pts; ix < xnPts; ix++ )
       {
        bandData[ix] = 1.0
       }
   };

(void) vvMult( rdata, bandData, size );
(void) vvMult( idata, bandData, size );

