
/* nmrPipe -fn MAC -macro simH2O.M -var fSize 2048 xMinPts 1024.5 xMaxPts 1025.5 p0Min -6 p0Max -3 lwPts 5.0 hi 1.0 iseed 7175167 */

float xR[size+fSize], xI[size+fSize];

if (sliceCode == 1)
   {
    (void) rseed( iseed );
   };

thisX0 = 0.5*(xMinPts + xMaxPts) + 0.35*(xMaxPts - xMinPts)*gRandX(1.0);
thisP0 = 0.5*(p0Min   + p0Max)   + 0.35*(p0Max   - p0Min)*gRandX(1.0);
thisHi = hi*(randX(2.0) - 1.0);

if (thisX0 < xMinPts) {thisX0 = xMinPts};
if (thisX0 > xMaxPts) {thisX0 = xMaxPts};

if (thisP0 < p0Min) {thisP0 = p0Min};
if (thisP0 > p0Max) {thisP0 = p0Max};

(void) vSim1D( xR, xI, size, fSize, thisX0, lwPts, thisHi, thisP0, 0.0 );

(void) vvAdd( rdata, xR, size );
(void) vvAdd( idata, xI, size );

