#!/bin/csh

if (`flagLoc $argv -help`) then
   echo "Delete 3D NMRPipe Results:"
   echo " clean3D.com name1 ..."
   echo "Example:"
   echo " clean3D.com ft/test%03d.ft2 ft/test%03d.lp1"
   exit 0
endif

foreach inName ($*)
  @ i = 1
  @ n = 0

   while( $i < 9999 )
      set thisName = (`nmrPrintf $inName $i`)

      if (-e $thisName) then
         /bin/rm -f $thisName
         @ n++
      else
         break
      endif

      if ($n == 1) then
         echo "Cleaning $inName"
      endif

      @ i++
   end

   if ($n) then
      echo "Removed Intermediate Result $inName 1 $n"
   endif
end
