#!/bin/csh

if ($#argv < 2) then
   echo "Create a C-shell script which executes the given command:"
   echo " cmnd2com.com scriptName [-append] command"
   exit 0
endif


@ appendFlag = 0

if (`string same $argv[2] -append`) then
   @ appendFlag = 1
endif

if ($appendFlag) then
   prettyPrintCmnd.tcl -nocomment $argv[3-] >> $argv[1]
else
   echo "#\!/bin/csh" >  $argv[1]
   echo ""            >> $argv[1]
   prettyPrintCmnd.tcl -nocomment $argv[2-] >> $argv[1]
endif

chmod a+rx $argv[1]
