#!/bin/sh
# The next line restarts using nmrWish \
exec nmrWish "$0" -- "$@"

frame .top
frame .bottom

catch {image delete pipeImage}

image create photo pipeImage -palette 16 \
   -file $env(NMRTXT)/logo.long.small.new.gif

label  .verLabel -text  "NMRPipe System Version 1.5 97.272.12.20"
label  .imLabel  -image pipeImage -bd 2 -relief raised 
button .imQuit   -text  Quit -command exit

pack .verLabel .imLabel .imQuit -in . -side top
