#!/bin/sh
# The next line restarts using nmrWish \
exec nmrWish "$0" -notk -- "$@"

set auto_path "[split $env(TCLPATH) :] $auto_path"
set ARGV      [concat $argv0 $argv]
set ARGC      [llength $ARGV]

if {[flagLoc $ARGV -help]} \
   {
    exit
   }

set inName
set outName

set xyScriptName   ft2.com
set xzScriptName   xz.com
set xaScriptName   xa.com
set xyzScriptName  xyz.com
set xyzaScriptName xyza.com

set dimCount
set aqMode  Auto 
set pkCount 100

foreach dim {X Y Z A} \
   {
    set solMode($dim) NULL
    set ftFlags($dim) ""

    set x1($dim)   0%
    set xn($dim)   100%

    set lw($dim)   0.0
    set p0($dim)   0.0
    set p1($dim)   0.0
    set c1($dim)   1.0

    set apod($dim) SP
    set q1($dim)   0.50
    set q2($dim)   0.95 
    set q3($dim)   1 

    if {![strcasecmp $dim X]} {set q3($dim) 2}
   }

#
#-----------------------------------------------------------------------
 
