#!/bin/csh

#
# Varian 3D States-Mode HNCO Conversion:
 
var2pipe -in hnco_fid_for_frankie \
  -xN           1024    -yN         128  -zN          64  \
  -xT            512    -yT          64  -zT          32  \
  -xMODE     Complex    -yMODE  Complex  -zMODE  Complex  \
  -xSW       8000.00    -ySW    1500.00  -zSW   1650.000  \
  -xOBS      499.843    -yOBS  125.6969  -zOBS   50.6530  \
  -xCAR         4.73    -yCAR     175.0  -zCAR    118.00  \
  -xLAB           HN    -yLAB        CO  -zLAB         N  \
  -ndim            3    -aq2D    States                   \
  -out fid/test%03d.fid -verb -ov
