#!/bin/csh

bin2pipe -in data -chem -noswap  \
  -xN            512    -yN          512  \
  -xT            256    -yT          128  \
  -xMODE     Complex    -yMODE   Complex  \
  -xSW     20000.000    -ySW   20000.000  \
  -xOBS     100.4005    -yOBS   100.4005  \
  -xCAR        170.0    -yCAR      170.0  \
  -xLAB           F2    -yLAB         F1  \
  -ndim            2    -aq2D     States  \
| nmrPipe -fn MAC -macro rrii.M -noRd -noWr \
  -out test.fid -ov -verb

