#!/bin/csh

#
# Converts a GE Export-Format 2D TPPI Spectrum:

bin2pipe -in gedata.bin \
  -xN           2048    -yN            256   \
  -xT           1024    -yT            256   \
  -xMODE     Complex    -yMODE        Real   \
  -xSW      5000.000    -ySW      5000.000   \
  -xOBS  300.5620610    -yOBS  300.5620610   \
  -xCAR         4.57    -yCAR         4.57   \
  -xLAB           F2    -yLAB           F1   \
  -ndim            2    -aq2D         TPPI   \
  -out test.fid -verb -ov
