/* Bruker's GM function; requires LB and GB from command-line: */
/* | nmrPipe -fn MAC -macro gmb.M -var LB 2 GB 8 \             */

NDSW = 1003;

sw   = getParm( fdata, NDSW, CUR_XDIM );
aq   = size/sw;

a    = PI*LB;
b    = -a/(2.0*GB*aq);

(void) printf( "sw: %f\n", sw );

for( i = 0; i < size; i++ )
   {
    t = i/sw;
    g = exp( -a*t - b*t*t );

    rdata[i] *= g;
    idata[i] *= g;
   }
