
/* M rIntersect.M -- -ax1 ... -quit */ 

if (argTest( "-HELP" ))
   {
    print "Find Intersection of two ranges:\n"
    print " -ax1 ax1 -axn axn -bx1 bx1 -bxn bxn\n"
    exit( 0 );
   };

qfMin = 0.0;
qfMax = 0.0;

qeMin = 0.0;
qeMax = 0.0;

if (argTest( "-ax1" )) { qfMin = argVal( "-ax1" ); };
if (argTest( "-axn" )) { qfMax = argVal( "-axn" ); };
if (argTest( "-bx1" )) { qeMin = argVal( "-bx1" ); };
if (argTest( "-bxn" )) { qeMax = argVal( "-bxn" ); };

qoMin = 0.0;
qoMax = 0.0;
tmp   = 0.0;

setFlag = 0;

if (qeMin > qeMax) { tmp = qeMin; qeMin = qeMax; qeMax = tmp; };
if (qfMin > qfMax) { tmp = qfMin; qfMin = qfMax; qfMax = tmp; };

if (setFlag == 0 && qeMin >= qfMin && qeMin <= qfMax)
   {
    setFlag = 0;
    qoMin   = qeMin;

    if (qeMax < qfMax)
       {
        qoMax = qeMax;
       }
    else
       {
        qoMax = qfMax;
       };
   };

if (setFlag == 0 && qeMax >= qfMin && qeMax <= qfMax)
   {
    setFlag = 0;
    qoMax   = qeMax;

    if (qeMin < qfMin)
       {
        qoMin = qfMin;
       }
    else 
       {
        qoMin = qeMin;
       };
   };

if (setFlag == 0 && qfMin >= qeMin && qfMin <= qeMax)
   {
    setFlag = 0;
    qoMin   = qfMin;

    if (qfMax < qeMax)
       {
        qoMax = qfMax;
       }
    else
       {
        qoMax = qeMax;
       };
   };

if (setFlag == 0 && qfMax >= qeMin && qfMax <= qeMax)
   {
    setFlag = 0;
    qoMax   = qfMax;

    if (qfMin < qeMin)
       {
        qoMin = qeMin;
       }
    else
       {
        qoMin = qfMin;
       };
   };

print qoMin;
print qoMax;
