/***/
/* Rearrange XA readROI time-domain extract to a 2D hypercomplex FID.
/***/

if (sliceCode == CODE_INIT)
   {
    (void) setParm( fdata, FDPIPEFLAG, 0,             NULL_DIM );
    (void) setParm( fdata, FDCUBEFLAG, 0,             NULL_DIM );
    (void) setParm( fdata, FDDIMCOUNT, 2,             NULL_DIM );

    (void) setParm( fdata, NDQUADFLAG, FD_COMPLEX,    CUR_XDIM );
    (void) setParm( fdata, NDQUADFLAG, FD_COMPLEX,    CUR_YDIM );
    (void) setParm( fdata, FDQUADFLAG, FD_COMPLEX,    NULL_DIM );
   };

if (sliceCode != CODE_DONE)
   {
    exit( 0 );
   };

float buff1D[size*2], buff2D[size*specnum*2];

(void) dReadB( inUnit, buff2D, wordLen*size*specnum*2 );

rSrc = 0;
iSrc = size*specnum;

for( i = 0; i < specnum; i++ )
   {
    (void) vvCopyOff( buff1D, buff2D, size, 0,    rSrc );
    (void) vvCopyOff( buff1D, buff2D, size, size, iSrc );

    (void) dWriteB( outUnit, buff1D, wordLen*2*size );

    rSrc += size;
    iSrc += size;
   }
